import { createRouter, createWebHistory } from 'vue-router'
import Home from '../views/Home.vue'
import page from '../views/content/pages.vue'
import list from '../views/content/list.vue'
import details from '../views/content/details.vue'
import hospitallList from '../views/medical/hospitallList.vue'
import hospitalDetails from '../views/medical/hospitalDetails.vue'
import specialistList from '../views/medical/specialistList.vue'
import specialistDetails from '../views/medical/specialistDetails.vue'
import order from '../views/user/order.vue'
import userInfo from '../views/user/userInfo.vue'
import orderDetails from '../views/user/orderDetails.vue'
import register from '../views/register.vue'
import reserve from '../views/reserve.vue'
import login from '../views/login.vue'
import pay from '../views/pay.vue'
import payFulfil from '../views/payFulfil.vue'
const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/page',
    name: 'page',
    component: page
  },
  {
    path: '/list',
    name: 'list',
    component: list
  },
  {
    path: '/details/:_id',
    name: 'details',
    component: details
  },
  {
    path: '/hospitallList',
    name: 'hospitallList',
    component: hospitallList
  },
  {
    path: '/hospitalDetails/:_id',
    name: 'hospitalDetails',
    component: hospitalDetails
  },
  {
    path: '/specialistList',
    name: 'specialistList',
    component: specialistList
  },
  {
    path: '/specialistDetails/:_id',
    name: 'specialistDetails',
    component: specialistDetails
  },
  {
    path: '/order',
    name: 'order',
    component: order
  },
  {
    path: '/userInfo',
    name: 'userInfo',
    component: userInfo
  },
  {
    path: '/orderDetails/:_id',
    name: 'orderDetails',
    component: orderDetails
  },
  {
    path: '/register/:path',
    name: 'register',
    component: register
  },
  {
    path: '/reserve',
    name: 'reserve',
    component: reserve
  },
  {
    path: '/login/:path',
    name: 'login',
    component: login
  },
  {
    path: '/pay/:_id',
    name: 'pay',
    component: pay
  },
  {
    path: '/payFulfil/:out_trade_no',
    name: 'payFulfil',
    component: payFulfil
  }
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

export default router
